aboutsummaryrefslogtreecommitdiffstats
path: root/fuzzit.sh
diff options
context:
space:
mode:
authorDmitry Vyukov <dvyukov@google.com>2019-07-30 14:13:04 +0200
committerDmitry Vyukov <dvyukov@google.com>2019-07-30 14:13:44 +0200
commitefe659d763759a1eb7d573c01dfbeedeab3fc1ed (patch)
tree72851b98b77de7c949199f0b799ec80a5a2e3335 /fuzzit.sh
parent9ad042d8ec73309be197389bc70e8207868a81c7 (diff)
travis: add fuzzit.dev support
Based on https://github.com/fuzzitdev/example-go Let's see if it works...
Diffstat (limited to 'fuzzit.sh')
-rwxr-xr-xfuzzit.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/fuzzit.sh b/fuzzit.sh
new file mode 100755
index 000000000..5b63fd689
--- /dev/null
+++ b/fuzzit.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+# Copyright 2019 syzkaller project authors. All rights reserved.
+# Use of this source code is governed by Apache 2 LICENSE that can be found in the LICENSE file.
+
+# Helper script for working with fuzzit.dev
+# https://github.com/fuzzitdev/example-go
+
+set -eux
+
+JOB_TYPE=$1
+
+function target {
+ go-fuzz-build -libfuzzer -func $3 -o fuzzer.a $2
+ clang -fsanitize=fuzzer fuzzer.a -o fuzzer
+ ./fuzzit create job --type $JOB_TYPE --branch $TRAVIS_BRANCH --revision $TRAVIS_COMMIT $1 ./fuzzer
+}
+
+wget -q -O fuzzit https://github.com/fuzzitdev/fuzzit/releases/download/v1.2.7/fuzzit_Linux_x86_64
+chmod a+x fuzzit
+./fuzzit auth ${FUZZIT_API_KEY}
+
+target gD3t0a6kniec9zst4eqU ./prog/test FuzzDeserialize
+target aWERkQry8i44A4gToF5W ./prog/test FuzzParseLog
+target UJuwHm2dT3YWlWH88yyA ./pkg/compiler Fuzz
+target ZkAE6RkbUOP7V3cCbQ74 ./pkg/report Fuzz
+target s4Mxhb8MBZaWZkGS40SF ./tools/syz-trace2syz/proggen Fuzz